Package relaxngcc.runtime

# Class NGCCHandler

java.lang.Object
relaxngcc.runtime.NGCCHandler

All Implemented Interfaces:
  `NGCCEventReceiver`

public abstract class NGCCHandler extends Object implements NGCCEventReceiver

Version:
  $Id: NGCCHandler.java,v 1.9 2002/09/29 02:55:48 okajima Exp $
Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Method Summary

Modifier and Type
Method
Description
`void`
`revertToParentFromEnterAttribute(Object result, int cookie, String uri, String local, String qname)`
`void`
`revertToParentFromEnterElement(Object result, int cookie, String uri, String local, String qname, Attributes atts)`
`void`
`revertToParentFromLeaveAttribute(Object result, int cookie, String uri, String local, String qname)`
`void`
`revertToParentFromLeaveElement(Object result, int cookie, String uri, String local, String qname)`
`void`
`revertToParentFromText(Object result, int cookie, String text)`
`void`
`spawnChildFromEnterAttribute(NGCCEventReceiver child, String uri, String localname, String qname)`
`void`
`spawnChildFromEnterElement(NGCCEventReceiver child, String uri, String localname, String qname, Attributes atts)`
`void`
`spawnChildFromLeaveAttribute(NGCCEventReceiver child, String uri, String localname, String qname)`
`void`
`spawnChildFromLeaveElement(NGCCEventReceiver child, String uri, String localname, String qname)`
`void`
`spawnChildFromText(NGCCEventReceiver child, String value)`
`void`
`unexpectedEnterAttribute(String qname)`
`void`
`unexpectedEnterElement(String qname)`
`void`
`unexpectedLeaveAttribute(String qname)`
`void`
`unexpectedLeaveElement(String qname)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface relaxngcc.runtime.NGCCEventReceiver

`enterAttribute, enterElement, leaveAttribute, leaveElement, text`

## Method Details

### spawnChildFromEnterElement

public void spawnChildFromEnterElement(NGCCEventReceiver child, String uri, String localname, String qname, Attributes atts) throws SAXException

Throws:
  `SAXException`

### spawnChildFromEnterAttribute

public void spawnChildFromEnterAttribute(NGCCEventReceiver child, String uri, String localname, String qname) throws SAXException

Throws:
  `SAXException`

### spawnChildFromLeaveElement

public void spawnChildFromLeaveElement(NGCCEventReceiver child, String uri, String localname, String qname) throws SAXException

Throws:
  `SAXException`

### spawnChildFromLeaveAttribute

public void spawnChildFromLeaveAttribute(NGCCEventReceiver child, String uri, String localname, String qname) throws SAXException

Throws:
  `SAXException`

### spawnChildFromText

public void spawnChildFromText(NGCCEventReceiver child, String value) throws SAXException

Throws:
  `SAXException`

### revertToParentFromEnterElement

public void revertToParentFromEnterElement(Object result, int cookie, String uri, String local, String qname, Attributes atts) throws SAXException

Throws:
  `SAXException`

### revertToParentFromLeaveElement

public void revertToParentFromLeaveElement(Object result, int cookie, String uri, String local, String qname) throws SAXException

Throws:
  `SAXException`

### revertToParentFromEnterAttribute

public void revertToParentFromEnterAttribute(Object result, int cookie, String uri, String local, String qname) throws SAXException

Throws:
  `SAXException`

### revertToParentFromLeaveAttribute

public void revertToParentFromLeaveAttribute(Object result, int cookie, String uri, String local, String qname) throws SAXException

Throws:
  `SAXException`

### revertToParentFromText

public void revertToParentFromText(Object result, int cookie, String text) throws SAXException

Throws:
  `SAXException`

### unexpectedEnterElement

public void unexpectedEnterElement(String qname) throws SAXException

Throws:
  `SAXException`

### unexpectedLeaveElement

public void unexpectedLeaveElement(String qname) throws SAXException

Throws:
  `SAXException`

### unexpectedEnterAttribute

public void unexpectedEnterAttribute(String qname) throws SAXException

Throws:
  `SAXException`

### unexpectedLeaveAttribute

public void unexpectedLeaveAttribute(String qname) throws SAXException

Throws:
  `SAXException`